@import 'variables';

.table {
  width: 100%;
  ::ng-deep .ag-root {
    border: 1px solid $default-border-color;
  }
  ::ng-deep .ag-header {
    height: 45px !important;
    background-color: $blue-darker;
    color: $white-text-color;
    font-size: 13px;
    font-weight: bold;
    border-bottom: 0;
  }
  ::ng-deep .ag-header-row {
    height: 40px !important;
  }
  ::ng-deep .ag-header-cell {
    border-right: 1px solid rgba($default-border-color, 0.5);
    &:last-child {
      border-right: none;
      padding: 0 20px;
    }
    &::after {
      display: none;
    }
  }
  ::ng-deep .ag-header-cell-label {
    justify-content: center;
    & .ag-header-cell-text {
      text-overflow: initial;
      white-space: normal;
      text-align: center;
    }
  }
  ::ng-deep .ag-cell {
    border-right: 1px solid rgba($gray-light, 0.5);
    text-align: center;
    &:last-child {
      border-right: none;
    }
  }
  ::ng-deep .ag-has-focus {
    & .ag-cell-focus.ag-cell-range-selected {
      background-color: $white;
      border: 2px solid $blue-darker;
    }
  }
  ::ng-deep .ag-body-horizontal-scroll {
    display: none;
  }

  ::ng-deep .ag-row .ag-cell.highlight-yellow {
    background-color: #ffea7f;
  }

  ::ng-deep .ag-row-even .ag-cell.highlight-yellow {
    background-color: #fff7cc;
  }
}
